- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Multiplayer< InterfaceType > Class Template Reference

Maps packet IDs to functions. More...

`#include <Multiplayer.h>`

List of all members.

## Public Member Functions
| Multiplayer ()
| Default Constructor.
virtual | ~Multiplayer ()
| Destructor.
virtual void | ProcessPackets (InterfaceType *interfaceType)
| Call every update cycle to read packets from RakNet and parse them down to the appropriate function.
## Protected Member Functions
virtual void | ReceiveRemoteDisconnectionNotification (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveRemoteConnectionLost (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveRemoteNewIncomingConnection (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveRemoteExistingConnection (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveRemoteStaticData (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveConnectionBanned (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveConnectionRequestAccepted (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveNewIncomingConnection (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveConnectionAttemptFailed (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveConnectionResumption (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveNoFreeIncomingConnections (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveDisconnectionNotification (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveConnectionLost (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceivedStaticData (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveInvalidPassword (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveModifiedPacket (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveVoicePacket (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceivePong (Packet *packet, InterfaceType *interfaceType)
virtual void | ReceiveAdvertisedSystem (Packet *packet, InterfaceType *interfaceType)
virtual void | ProcessUnhandledPacket (Packet *packet, unsigned char packetIdentifier, InterfaceType *interfaceType)

## Detailed Description

### template<class InterfaceType>
class Multiplayer< InterfaceType >

Maps packet IDs to functions.

This will eventually be replaced with the plugin-system.

See also:
  PacketEnumerations.h

The documentation for this class was generated from the following file:

- C:/RakNet 2.518/Include/Multiplayer.h